import { proxyCustomElement, HTMLElement, createEvent, h } from '@stencil/core/internal/client';
import { S as StyledHost } from './styled-host.js';
import './justifi-details2.js';
import './event-types.js';
import './justifi-radio-list-item2.js';
import { d as defineCustomElement$3 } from './form-control-checkbox2.js';
import { d as defineCustomElement$2 } from './save-new-payment-method2.js';

const JustifiSaveNewPaymentMethod$1 = /*@__PURE__*/ proxyCustomElement(class JustifiSaveNewPaymentMethod extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
        this.__attachShadow();
        this.checkboxChanged = createEvent(this, "checkboxChanged", 7);
        this.label = 'Save New Payment Method';
    }
    render() {
        return (h(StyledHost, { key: '58ca6f98ace8aba5658fa38215b0c0756907ce9f' }, h("save-new-payment-method", { key: '6bfd3950c0bdf26bca6866ebf1b155ac39466516', label: this.label, hidden: this.hidden, onCheckboxChanged: (e) => this.checkboxChanged.emit(e.detail) })));
    }
}, [257, "justifi-save-new-payment-method", {
        "label": [1],
        "hidden": [4]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["justifi-save-new-payment-method", "form-control-checkbox", "save-new-payment-method"];
    components.forEach(tagName => { switch (tagName) {
        case "justifi-save-new-payment-method":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, JustifiSaveNewPaymentMethod$1);
            }
            break;
        case "form-control-checkbox":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "save-new-payment-method":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}
defineCustomElement$1();

const JustifiSaveNewPaymentMethod = JustifiSaveNewPaymentMethod$1;
const defineCustomElement = defineCustomElement$1;

export { JustifiSaveNewPaymentMethod, defineCustomElement };
